变量值 = 取NPC变量(3);
等级 = 取主角属性("等级");


function Main()

if (变量值 == 111) then
	提示(取主角属性("角色名").." 不好了!\n幽灵已经快靠近村庄了!\n你愿意帮我去消灭他们吗?\n\n");
	选择项("好!我这就去!@杀幽灵","我很忙!再见@exit");

elseif (变量值 == 666 and 检查物品("恶魔爪子[任务]",1) == true ) then
	提示( " 太感谢你了!\n这个爪子看起来非常邪恶,我得仔细研究下!再次感谢!\n这是给你的奖励!\n");
	选择项("谢谢!再见!@exit");
	减少物品("恶魔爪子[任务]",1);
	
	置NPC变量(3,1);
	置任务变量(1,0);
	结束任务(1);
	
	NPC任务更新(3,3);
	角色特效(2,2,0);
	增加金币(200);
	增加经验(500);
	屏幕信息("[奖励]:金币 + 200 经验 + 500",-256);

elseif (变量值 == 1) then
	提示(" 难道那个传说真的要实现了?!太可怕了!\n");
	选择项("不知道你在说什么!@exit");
 	
elseif(变量值 == 333) then
	提示(" 怎么还没有拿到吗!快一点!!\n");
	选择项("好的!@exit");

elseif(变量值 == 112) then
	if(取任务变量(2)<20) then
	
		提示(" 幽灵已经快靠近村庄了!快一点!!\n");
		选择项("好的!@exit");
		
	else
	
		提示(" 不错!这么快就完成任务了!这是给你的奖励!\n");
		选择项("再见!@exit");
		
		置NPC变量(3,1);
		置任务变量(2,0);
		结束任务(2);
		
		NPC任务更新(3,3);
		角色特效(2,2,0);
		增加金币(2000);
		增加经验(5000);
		屏幕信息("[奖励]:金币 + 2000 经验 + 5000",-256);
		
	end;

else
	if(等级 == 1) then
local stext=
"  "..取主角属性("角色名")..[[  你好啊!
看起来你还是个新手! 我这里有个小任务!
你愿意帮我完成吗?"
]]
	提示(stext);
	选择项("好!我先听听!@听爪子任务","我很忙!再见@exit");
	else
	提示("  天气怪怪的!\n总感觉好像要发生什么!\n\n");
	选择项("也许是吧!@exit");
	end;
end;

end;



function 杀幽灵()

增加任务(2);
NPC任务更新(3,3);
置NPC变量(3,112);
exit();

end;


function 接爪子任务()

增加任务(1);
NPC任务更新(3,3);
置NPC变量(4,888);
置NPC变量(3,333);
NPC任务更新(4,2);
exit();

end;


function 听爪子任务()

提示("呵呵!是这样的!上次诸葛亮那里有一件东西 \n我一直没时间去拿!你能帮我拿来吗?");
选择项("好吧!我忙你这个忙!@接爪子任务","我很忙!再见@exit");

end;











---------------------------------------------------------
-- 脚本入口
---------------------------------------------------------
Main();


